#
# spec file for package python3-munkres3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-munkres3
Version:        1.0.5.5
Release:        1.5
License:        BSD-3-Clause
Summary:        Munkres algorithm for the Assignment Problem
Url:            http://github.com/datapublica/munkres
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/m/munkres3/munkres3-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Munkres module provides an implementation of the Munkres algorithm
(also called the Hungarian algorithm or the Kuhn-Munkres algorithm),
useful for solving the Assignment Problem.

%prep
%setup -q -n munkres3-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG
%{python3_sitelib}/*

%changelog
* Mon Oct 17 2016 toddrme2178@gmail.com
- Initial version
